%define lib_name_orig %mklibname kmymoney2
%define lib_major 0
%define lib_name %lib_name_orig%lib_major


Summary: 	Kmymoney2 The Personal Finances Manager for kde3 
Name:   	kmymoney2
Version: 	0.8.5
Release: 	%mkrel 1
Source0: 	%{name}-%{version}.tar.bz2
Url:		http://kmymoney2.sourceforge.net/
License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:	kdelibs-devel
BuildRequires:	jpeg-devel mng-devel png-devel qt3-devel
BuildRequires:	aqhbci-devel libkbanking-devel
BuildRequires:	OpenSP-devel
Requires:	%lib_name = %version-%release
Patch1:		kmymoney-0.8.2-disable-visibility.patch.bz2

%description
The Personal Finances Manager for KDE 3.

%package -n %lib_name
Group:      Development/KDE and Qt
Summary:    Libraries for %name

%description -n %lib_name
Librairie for %name

%package -n %lib_name-devel
Group:      Development/KDE and Qt
Summary:    Devel files for %name
Requires:   %lib_name

%description -n %lib_name-devel
Devel file for %name

%prep

%setup  -q -n%{name}-%{version}
%patch1 -p1 -b .disable_visibility

%build
 #make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%{?__cputoolize: %{__cputoolize} }


#laurent enable-final doesn't work (0.3.3)
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt3\
		    --with-xinerama \
		    --disable-rpath \
			--enable-kbanking \
			--enable-ofxplugin \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif			
			--enable-ofxbanking \
		    --disable-debug 

#necessary to remove old files
make clean

%make

%install
make install prefix=%buildroot/%_prefix

#menu

install -d %buildroot/%_menudir
install -d %buildroot/%_iconsdir
install -d %buildroot/%_miconsdir

kdedesktop2mdkmenu.pl kmymoney2 "More Applications/Finances" %buildroot/%_datadir/applications/kde/kmymoney2.desktop %buildroot/%_menudir/kmymoney2
#ln -s %_datadir/icons/hicolor/32x32/apps/kmymoney2.png %buildroot/%_iconsdir
#ln -s %_datadir/icons/hicolor/16x16/apps/kmymoney2.png %buildroot/%_miconsdir

%find_lang %name

%clean
rm -fr %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus} 


%post -n %lib_name -p /sbin/ldconfig


%postun -n %lib_name -p /sbin/ldconfig


%files -f %name.lang 
%defattr(-,root,root)

%dir %_docdir/HTML/en/kmymoney2/
%doc %_docdir/HTML/en/kmymoney2/*.docbook
%doc %_docdir/HTML/en/kmymoney2/common
%doc %_docdir/HTML/en/kmymoney2/*.bz2
%doc %_docdir/HTML/en/kmymoney2/*.png

%dir %_datadir/apps/kmymoney2/html/
%dir %_datadir/apps/kmymoney2/html/images/
%_datadir/apps/kmymoney2/html/images/*.png
%_datadir/apps/kmymoney2/html/images/*.gif
%_bindir/*
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/%name/
%dir %_datadir/apps/%name/html/
%_datadir/apps/%name/*rc
%_datadir/apps/%name/tips
%_datadir/apps/%name/html/*.html
%_datadir/apps/%name/html/*.css

%dir %_datadir/apps/%name/pics/
%_datadir/apps/%name/pics/*.png


%dir %_datadir/apps/%name/icons/
%dir %_datadir/apps/%name/icons/hicolor/
%dir %_datadir/apps/%name/icons/hicolor/16x16/
%dir %_datadir/apps/%name/icons/hicolor/16x16/actions/
%_datadir/apps/%name/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/%name/icons/hicolor/22x22/
%dir %_datadir/apps/%name/icons/hicolor/22x22/actions/
%_datadir/apps/%name/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/%name/icons/hicolor/48x48/
%dir %_datadir/apps/%name/icons/hicolor/48x48/apps/
%_datadir/apps/%name/icons/hicolor/48x48/apps/*.png

%_datadir/apps/kmymoney2/icons/hicolor/32x32/apps/*.png
%_datadir/apps/kmymoney2/icons/hicolor/64x64/apps/*.png

%_iconsdir/hicolor/48x48/apps/kmymoney2.png

#%dir %_datadir/apps/%name/toolbar/
#%_datadir/apps/%name/toolbar/*.xpm
#
#
%dir %_datadir/applications/kde/
%_datadir/applications/kde/*.desktop
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/mimetypes/
%_iconsdir/hicolor/16x16/mimetypes/*.png

%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png

#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/mimetypes/
%_iconsdir/hicolor/32x32/mimetypes/*.png


%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/mimetypes/
%_iconsdir/hicolor/48x48/mimetypes/*.png
#

%_iconsdir/hicolor/128x128/apps/kmymoney2.png
%_iconsdir/hicolor/128x128/mimetypes/kmy.png
%_iconsdir/hicolor/64x64/apps/kmymoney2.png
%_iconsdir/hicolor/64x64/mimetypes/kmy.png
		

%_datadir/apps/kmymoney2/templates/*
   
#%_datadir/services/kmm_ofximport.desktop
%_datadir/servicetypes/kmymoneyimporterplugin.desktop
%_datadir/servicetypes/kmymoneyplugin.desktop
	
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
#
#
%_menudir/*  
#%_miconsdir/kmymoney2.png
#%_iconsdir/kmymoney2.png

%_prefix/man/man1/*.bz2
#%_prefix/man/man1/*.gz

%_datadir/mimelnk/application/*.desktop


%_datadir/apps/kmm_kbanking/kmm_kbanking.rc
%_datadir/services/kmm_kbanking.desktop


%files -n %lib_name-devel
%defattr(-,root,root,-)
%dir %_includedir/kmymoney/
%_includedir/kmymoney/*.h
%_libdir/libkmm_mymoney.so
%_libdir/libkmm_plugin.so

%files -n %lib_name
%defattr(-,root,root,-)
#%_libdir/kde3/kmm_ofximport.la
#%_libdir/kde3/kmm_ofximport.so
%_libdir/kde3/kmm_kbanking.la
%_libdir/kde3/kmm_kbanking.so
%_libdir/libkmm_mymoney.la
%_libdir/libkmm_mymoney.so.*
%_libdir/libkmm_plugin.la
%_libdir/libkmm_plugin.so.*


%changelog
* Thu Aug 31 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.5-1
- 0.8.5

* Sun Jun 18 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.4-2mdk
- Fix missing build requires 

* Sat May 20 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.4-1mdk
- 0.8.4

* Wed Apr 19 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.3-4mdk
- Fix requires

* Wed Apr 19 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.3-3mdk
- Rebuild

* Mon Feb 27 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.3-2mdk
- Fix build kbanking plugins

* Mon Feb 27 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.3-1mdk
- 0.8.3

* Tue Jan 03 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.2-2mdk
- Fix compile under x86_64

* Mon Jan 02 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.2-1mdk
- 0.8.2

* Sun Nov 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-1mdk
- 0.8.1

* Sat Aug 13 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-1mdk
- 0.8.0

* Sat Jul 30 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.5-1mdk
- 0.7.5

* Mon Jul 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.4-1mdk
- 0.7.4

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-1mdk
- 0.7.3

* Tue May 31 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1mdk
- 0.7.2

* Mon May 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.1-2mdk
- Add --enable-ofxplugin 

* Sat May 21 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.1-1mdk
- 0.7.1

* Thu May 19 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.0-2mdk
- Enable --enable-kbanking

* Sat May 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.0-1mdk
- 0.7.0

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-3mdk
- fix build on x86_64

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.4-2mdk
- Fix menu

* Thu Nov 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.4-1mdk
- 06.4

* Mon Nov 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- kde2 -> kde3 thanks (Eskild Hustvedt <eskild@mandrakehelp.com>)
- clean spec file

* Fri Sep 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-1mdk
- New version

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-2mdk
- Rebuild with new menu translation table

* Tue Jul 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-4mdk
- Rebuild

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-3mdk
- Rebuild
- Add patch1: fix compile

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-2mdk
- Rebuild

* Mon Feb 03 2003 Laurent Culioli <laurent@pschit.net> 0.5.1-1mdk
- kmymoney is back \o/
- 0.5.1

* Sun Apr 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-1mdk
- 0.4

* Sun Feb 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-0.pre2.1mdk
- update code (0.4pre2)

* Sun Jan 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-0.pre1.1mdk
- Update code (0.4pre1)

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.7-3mdk
- Rebuild against libpng3

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.7-2mdk
- Rebuild

* Fri Aug 31 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.7-1mdk
- Update code

* Tue Aug 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.6-2mdk
- Fix menu entry

* Sat Jul 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.6-1mdk
- Update code (0.3.6)

* Fri Jul 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.5-1mdk
- Update code (0.3.5)

* Thu Jun 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.4-1mdk
- Update code

* Sat Jun 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.3-1mdk
- initial package 0.3.3

